Skip to main content
`Ctrl`+`K`

# PEPCISSSetExtraction

Sets the extraction technique used in the CISS solver.

## Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPCISSSetExtraction(PEP pep,PEPCISSExtraction extraction)

Logically Collective

## Input Parameters

- pep - the polynomial eigensolver context

- extraction - the extraction technique, see `PEPCISSExtraction` for possible values

## Options Database Key

- -pep_ciss_extraction <extraction> - sets the extraction technique, either `ritz`, `hankel` or `caa`

## Notes

By default, the Rayleigh-Ritz extraction is used (`PEP_CISS_EXTRACTION_RITZ`), see [Asakura et al., 2010].

If the `hankel` or the `caa` option is specified (`PEP_CISS_EXTRACTION_HANKEL` or `PEP_CISS_EXTRACTION_CAA`), then the block Hankel method, or the communication-avoiding Arnoldi method, respectively, is used for extracting eigenpairs.

## References

[Asa10]

J. Asakura, T. Sakurai, H. Tadano, T. Ikegami, and K. Kimura. A numerical method for polynomial eigenvalue problems using contour integral. Japan J. Indus. Appl. Math., 27(1):73–90, 2010. doi:10.1007/s13160-010-0005-x.

## See Also

PEP: Polynomial Eigenvalue Problems, `PEPCISS`, `PEPCISSGetExtraction()`, `PEPCISSExtraction`

## Level

advanced

## Location

src/pep/impls/ciss/pciss.c

## Implementations

PEPCISSSetExtraction_CISS() in src/pep/impls/ciss/pciss.c

Index of all PEP routines Table of Contents for all manual pages Index of all manual pages